Redmine - Defect #30114

Installing xpath with Bundler fails in Ruby <=2.2
2018-12-06 07:07 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Gems support Estimated time: 0.00 hour
Target version: 3.4.9

Resolution: Fixed Affected version: 3.37
Description

"bundle install" and "bundle update” fails in Ruby <=2.2 because the recent versions of xpath gem require newer Ruby.

xpath version Required Ruby version
3.2.0 (2018-10-15) >=2.3
3.1.0 (2018-05-26) >=2.2
3.0.0 (2017-12-30) >=2.2
2.1.0 (2017-05-25) >=1.9.3
Related issues:
Has duplicate Redmine - Defect #30716: latest version of xpath gem need ruby 2.3 Closed

Associated revisions

Revision 17854 - 2019-02-10 16:38 - Go MAEDA
Use xpath < 3.2 for Ruby < 2.3 (#30114).

Patch by Go MAEDA.

Revision 17855 - 2019-02-10 16:42 - Go MAEDA
Use xpath < 3.2 for Ruby < 2.3 (#30114).

Patch by Go MAEDA.

History

#1 - 2018-12-06 08:24 - Go MAEDA

Gem: :InstallError: xpath requires Ruby version >= 2.3.

An error occurred while installing xpath (3.2.0), and Bundler cannot continue.
Make sure that “gem install xpath -v '3.2.0'" succeeds before bundling.

#2 - 2019-02-02 06:15 - Go MAEDA

- Has duplicate Defect #30716: latest version of xpath gem need ruby 2.3 added

#3 - 2019-02-10 16:43 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Target version set to 3.4.9

- Resolution set to Fixed

Committed the fix for 4.0-stable and 3.4-stable. Now xpath < 3.2 is installed for Ruby < 2.3.
https://rubygems.org/gems/xpath/versions/3.2.0
https://rubygems.org/gems/xpath/versions/3.1.0
https://rubygems.org/gems/xpath/versions/3.0.0
https://rubygems.org/gems/xpath/versions/2.1.0
